html {
	overflow-x: hidden;
	max-width: 100vw;
}

body {
	/*background-image: url(../images/Front_Page.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-attachment: fixed;*/
	background: linear-gradient(to left, rgb(169, 180, 205), rgb(33, 33, 49) 100%);
	/*background:  linear-gradient(to left, rgb(191, 169, 205), rgb(174, 61, 164) 100%);*/
	font-family: Arial, sans-serif;
	margin: 0;
	padding: 0;
	overflow-x: hidden;
	overflow-y: hidden;
	max-width: 100vw;
	-webkit-tap-highlight-color: transparent;
	color: white;
	position: relative;
	min-height: 100vh;
}

.container {
	height: 85px;
	width: 100%;
}

@media (pointer: coarse) {
	.container{
	display: none;
	}
}

.header {
	/*background: linear-gradient(to left, rgb(169, 180, 205), rgb(0, 0, 0) 100%);*/
	background: linear-gradient(to left, rgb(169, 180, 205), rgb(33, 33, 49) 100%);
	/*background: transparent;
	backdrop-filter: blur(10px);*/
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 80px;
	position: fixed;
	top: 100;
	left: 0;
	z-index: 50;
	/*border-left: transparent;
	border-top: transparent;
	border-right: transparent;
	border-bottom: #ffffff6a;
	border-bottom: transparent;
	border-style: solid;*/
	border-width: 10px;
	border-radius: 2px;
	box-shadow: 0px 0px 10px rgb(0, 0, 0);
}

@media (pointer: coarse) {
	.header {
	top: auto;
	bottom: 0;
	}
 }

/*@media (max-width: 768px) {
	.header {
		top: auto;
		bottom: 0;
	}
}*/

.header-bordered{
	border-bottom: 4px solid white;
  }

	.headerright {
		display: flex;
		align-items: center;
		justify-content: right;
		right: 0px;
		position: absolute;
		margin-left: 20px;
	}
	
	.header-img-container {
		position: relative;
		width: 60px;
		height: 60px;
		margin-right: 25px;
		transform: translateY(-5%);
		transition: transform 0.2s;
	  }

	  .header-img-container:hover {
		transform: scale(1.1) translateY(-5%);
		
	  }

	  @media (pointer: coarse) {
	  .header-img-container {
		position: relative;
		width: 50px;
		height: 50px;
		margin-right: 20px;
		transform: translateY(-5%);
	  }
	}
	  
	  .header-img {
		width: 100%;
		height: 100%;
		font-size: 16px;
		font-family: Arial, sans-serif;
		color: rgb(255, 255, 255);
		border-radius: 50%;
		border-color: #ffffff;
		border-width: 3px;
		border-style: solid;
		object-fit: cover;
	  }
	  
	  .active-profile-circle {
		position: absolute;
		top: 8px;
		right: -4px;
		display: flex;
		width: 10px;
		height: 10px;
		transform: translate(-50%, -50%);
		background-color: rgb(108, 224, 106);
		border-radius: 50%;
		color: white;
		border: 2px solid #ffffff;
		 /* Add border width */
	  }

	  @media (pointer: coarse) {
		.active-profile-circle {
			position: absolute;
			top: 7px;
			right: -9px;
			display: flex;
			width: 10px;
			height: 10px;
			transform: translate(-50%, -50%);
			background-color: rgb(108, 224, 106);
			border-radius: 50%;
			color: white;
			border: 2px solid #ffffff;
			 /* Add border width */
		  }
	  }

	  .navcontainer {
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: center;
		margin-right: 25vw;
		margin-left: 20px;
	  }

	  .navcontainer a {
		display: flex;
		flex-direction: column;
		align-items: center;
		font-family: Arial, sans-serif;
		color: rgb(255, 255, 255);
		padding: 5px 20px;
		text-decoration: none;
		transition: background-color 0.35s ease;
		font-size: 0.6em;
	}
@media (pointer: coarse) {

	.navcontainer a {
		font-family: Arial, sans-serif;
		color: rgb(255, 255, 255);
		padding: 7px;
		text-decoration: none;
		transition: background-color 0.35s ease;
	}
}

	  .nav-button {
		position: relative;
		-webkit-tap-highlight-color: transparent;
		border-radius: 5px;
	  }

	  .nav-button:hover {
		background-color: #f2f2f270;
	  }
	  
	  .nav-button div {
		font-weight: bold;
	  }

	  .nav-button .filter-image,
	  .nav-button .filter-image:hover {
		position: absolute;
		right: 0;
		bottom: 0;
		height: 30px;
		width: 30px;
		transform: translateX(-40%) translateY(-40%);
		pointer-events: none;
		scale: 0.9;
	  }

	  @media (pointer: coarse) {
	  .nav-button .filter-image,
	  .nav-button .filter-image:hover {
		position: absolute;
		right: -15%;
		bottom: 15%;
		height: 25px;
		width: 25px;
		transform: translateX(-40%) translateY(-40%);
		pointer-events: none;
	  }
	}
	
	  .nav-button img {
		position: relative;
		display: flex;
		align-items: center;
		height: 30px;
		width: 30px;
		transition: transform 0.2s;
		z-index: 5;
	  }

	  /*.nav-button img:hover {
		transform: scale(1.2);
	  }*/

	  .nav-button .premiumplus-bar {
		position: absolute;
		top: 0%;
		font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
		display: flex;
		align-items: center;
		justify-content: center;
		width: fit-content;
		padding: 2px 5px;
		height: 22px;
		border-radius: 10px;
		color: rgb(204, 255, 248);
		background: rgb(40, 40, 40);
		/*background: linear-gradient(to left, rgb(76, 108, 113), rgb(128, 180, 191) 50%);*/
		font-size: 20px;
		z-index: 0;
		text-wrap: nowrap;
		transform: translateY(-50%) scale(0.7);
		box-shadow: 0px 0px 10px rgb(214, 255, 250);
	  }

	  .nav-button .premium-bar {
		position: absolute;
		top: 0%;
		font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
		display: flex;
		align-items: center;
		justify-content: center;
		width: fit-content;
		padding: 2px 5px;
		height: 22px;
		border-radius: 10px;
		color: rgb(251, 255, 196);
		background: rgb(40, 40, 40);
		/*background: linear-gradient(to left, rgb(111, 113, 76), rgb(185, 191, 128) 50%);*/
		font-size: 20px;
		z-index: 0;
		text-wrap: nowrap;
		transform: translateY(-50%) scale(0.7);
		box-shadow: 0px 0px 10px rgb(217, 222, 167);
	  }
	  
	  .like-notification-circle {
		position: absolute;
		top: -6px;
		right: 8px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 18px;
		height: 18px;
		background-color: rgb(255, 0, 0);
		border-radius: 50%;
		border-color: #ffffff;
		border-width: 2px;
		border-style: solid;
		color: white;
		font-size: 10px;
		font-weight: bold;
		z-index: 5;
	  }

	  .favourite-notification-circle {
		position: absolute;
		top: -6px;
		right: 8px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 18px;
		height: 18px;
		background-color: rgb(255, 0, 0);
		border-radius: 50%;
		border-color: #ffffff;
		border-width: 2px;
		border-style: solid;
		color: white;
		font-size: 10px;
		font-weight: bold;
		z-index: 5;
	  }

	  .boost-notification-circle {
		position: absolute;
		top: -6px;
		right: 8px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 18px;
		height: 18px;
		background-color: rgb(255, 0, 0);
		border-radius: 50%;
		border-color: #ffffff;
		border-width: 2px;
		border-style: solid;
		color: white;
		font-size: 10px;
		font-weight: bold;
		z-index: 5;
	  }
	
	  .message-notification-circle {
		position: absolute;
		top: -6px;
		right: 8px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 18px;
		height: 18px;
		background-color: rgb(255, 0, 0);
		border-radius: 50%;
		border-color: #ffffff;
		border-width: 2px;
		border-style: solid;
		color: white;
		font-size: 10px;
		font-weight: bold;
		z-index: 5;
	  }

	  
	  .freemessage-notification-circle {
		position: absolute;
		top: -6px;
		left: 7px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 18px;
		height: 18px;
		background-color: rgb(76, 146, 167);
		border-radius: 50%;
		border-color: #ffffff;
		border-width: 2px;
		border-style: solid;
		color: white;
		font-size: 10px;
		font-weight: bold;
		z-index: 5;
	  }

	  .newconversation-notification-circle {
		position: absolute;
		bottom: 20px;
		left: 7px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 18px;
		height: 18px;
		background-color: rgb(13, 54, 115);
		border-radius: 50%;
		border-color: #ffffff;
		border-width: 2px;
		border-style: solid;
		color: white;
		font-size: 10px;
		font-weight: bold;
		z-index: 5;
	  }

	  @media (max-width: 768px) {

		.like-notification-circle {
			position: absolute;
			top: 0;
			right: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 14px;
			height: 14px;
			background-color: rgb(255, 0, 0);
			border-radius: 50%;
			border-color: #ffffff;
			border-width: 2px;
			border-style: solid;
			color: white;
			font-size: 10px;
			font-weight: bold;
		  }
	
		  .favourite-notification-circle {
			position: absolute;
			top: 0;
			right: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 14px;
			height: 14px;
			background-color: rgb(255, 0, 0);
			border-radius: 50%;
			border-color: #ffffff;
			border-width: 2px;
			border-style: solid;
			color: white;
			font-size: 10px;
			font-weight: bold;
		  }
	
		  .boost-notification-circle {
			position: absolute;
			top: 0;
			right: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 14px;
			height: 14px;
			background-color: rgb(255, 0, 0);
			border-radius: 50%;
			border-color: #ffffff;
			border-width: 2px;
			border-style: solid;
			color: white;
			font-size: 10px;
			font-weight: bold;
		  }
		
		  .message-notification-circle {
			position: absolute;
			top: 0;
			right: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 14px;
			height: 14px;
			background-color: rgb(255, 0, 0);
			border-radius: 50%;
			border-color: #ffffff;
			border-width: 2px;
			border-style: solid;
			color: white;
			font-size: 10px;
			font-weight: bold;
		  }
	
		  
		  .freemessage-notification-circle {
			position: absolute;
			top: 0;
			left: -5%;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 14px;
			height: 14px;
			background-color: rgb(76, 146, 167);
			border-radius: 50%;
			border-color: #ffffff;
			border-width: 2px;
			border-style: solid;
			color: white;
			font-size: 10px;
			font-weight: bold;
		  }
	
		  .newconversation-notification-circle {
			position: absolute;
			bottom: 30%;
			left: -5%;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 14px;
			height: 14px;
			background-color: rgb(13, 54, 115);
			border-radius: 50%;
			border-color: #ffffff;
			border-width: 2px;
			border-style: solid;
			color: white;
			font-size: 10px;
			font-weight: bold;
		  }

		}

	.profile-dropdown {
		background-color: rgb(69, 77, 96);
		opacity: 0;
		display: none;
		visibility: hidden;
		position: fixed;
		width: fit-content;
		min-width: 350px;
		height: max-content;
		top: 100px;
		right: -200px; /* Initial position outside the viewport */
		transition: right 0.3s ease, opacity 0.3s ease, visibility 0.3s ease; /* Transition multiple properties */
		box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
		border-radius: 15px;
		border: 3px solid rgb(255, 255, 255);
		padding: 1%;
		z-index: 100;
		margin-right: 10px;
		align-items: center;
		justify-content: center;
		flex-direction: column;
	  }

	  .profile-dropdown::before {
		content: '';
		position: absolute;
		top: -30px;
		right: 2%;
		transform: translateX(-50%);
		border-width: 15px;
		border-style: solid;
		border-color: transparent transparent #ffffff transparent;
		z-index: -1; /* Push the pseudo-element behind the container */
	}

	@media (pointer: coarse) {
		.profile-dropdown::before {
			right: 0%;
			top: auto;
			bottom: 0;
			transform: translateX(-50%) translateY(100%) rotate(180deg);
		}
	  }

	  @media (pointer: coarse) {
		.profile-dropdown {
			width: 90vw;
			margin-right: 5vw;
			min-width: 90vw;
			box-sizing: border-box;
		}
	  }
	
	  .profile-dropdown.show {
		right: 0; /* Move it to the right when the show class is applied */
		opacity: 1;
		visibility: visible;
	  }

	 

  .profile-dropdown a {
    display: block;
	width: fit-content;
    text-decoration: none;
    color: #ffffff;
    transition: background-color 0.3s;
	border-radius: 5px;	
  }

  .profile-dropdown a:hover {
    background-color: #f2f2f270;
	border-radius: 5px;
	/*color: #8ff8fe;*/
  }

  .profile-dropdown .dropdown-nav-item {
	display: flex;
	width: 100%;
	padding-top: 10px;
	padding-bottom: 10px;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	cursor: pointer;
  }

  .profile-dropdown .dropdown-nav-item-day {
	display: flex;
	width: 100%;
	flex-direction: row;
	align-items: center;
	justify-content: space-evenly;
	text-align: center;
  }

  .profile-dropdown .dropdown-nav-item-day p {
	font-size: 10px;
  }

  .profile-dropdown .dropdown-nav-item-day div {
	display: flex;
	width: 100%;
	height: fit-content;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	text-align: center;
  }

  .day-bordered{
	border-width: 5px;
	border-style: solid;
	border-color: #ECECEC;
	border-top: transparent;
	border-left: transparent;
	border-right: transparent;
  }

  .bordered{
	border-width: 5px;
	border-style: solid;
	border-color: #ececec53;
	border-top: transparent;
	border-left: transparent;
	border-right: transparent;
  }

  .profile-dropdown .dropdown-nav-item-day img {
	position: relative;
	display: flex;
	align-items: center;
	margin-bottom: 5px;
	height: 30px;
	aspect-ratio: 1;
  }

  .profile-dropdown .dropdown-nav-subitem {
	display: flex;
	width: 100%;
	padding-top: 10px;
	padding-bottom: 10px;
	flex-direction: column;
	justify-content: space-evenly;
	text-align: center;
	cursor: pointer;
  }

  .profile-dropdown .dropdown-nav-item-spacer {
	display: flex;
	width: 100%;
	height: 80px;
	flex-direction: row;
	align-items: center;
	justify-content: center;
  }

  /*.profile-dropdown .dropdown-nav-item img {
	position: relative;
	display: flex;
	align-items: center;
	height: 30px;
	margin-right: 10px;
	aspect-ratio: 1;
	transition: transform 0.2s;
  }

  .profile-dropdown .dropdown-nav-item img:hover {
	transform: scale(1.2);
  }*/

	  
	  /* Show the dropdown menu when the active-profile-circle is clicked */
	  .active-profile-circle:hover + .profile-dropdown,
	  .profile-dropdown:hover {
		display: block;
	  }

      .subheader {
		background-color:rgba(255, 255, 255, 0) ;
		display: flex;
		width: 100%;
		height: 50px;
		justify-content: center;
		top: 0;
		left: 0;
		flex-direction: row;
		z-index: 55;
		margin-top: 20px;

	}

	.nav-icon {
		height: 22px;
		width: 22px;
		margin-right: 10px;
		cursor: pointer;
	}

	.greyscale {
		filter: grayscale(100%) brightness(0) invert(1);
  	}
  

	  @media (min-width: 768px)  {
		.subheader {
		transform: translateX(-0.5%);
		}
	}
	
	.subheader a {
		margin-left: 10px;
		transition: 0.35s ease;
		-webkit-tap-highlight-color: transparent;
	}
	
	.subheader a:hover {
		scale: 1.05;
	}
	
	h1 {
		text-align: center;
	}

	.nav-button .message-notification-circle,
	  .nav-button .like-notification-circle,
	  .nav-button .favourite-notification-circle,
	  .nav-button .boost-notification-circle {
		/* ... your existing styles ... */
		transition: transform 0.2s ease-in-out; /* Add a transition for smooth scaling */
	  }
	  
	  /* Additional style for the enlarged state */
	  .nav-button .message-notification-circle.enlarged, 
	  .nav-button .like-notification-circle.enlarged,
	  .nav-button .favourite-notification-circle.enlarged,
	  .nav-button .boost-notification-circle.enlarged {
		transform: scale(2); /* Enlarged size */
	  }

	  .profile-dropdown .premiumplus-bar {
		font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 80%;
		padding: 2px 5px;
		height: 35px;
		border-radius: 10px;
		color: rgb(204, 255, 248);
		background: rgb(40, 40, 40);
		/*background: linear-gradient(to left, rgb(76, 108, 113), rgb(128, 180, 191) 50%);*/
		font-size: 20px;
		text-wrap: nowrap;
		z-index: 6;
		box-shadow: 0px 0px 10px rgb(214, 255, 250);
	  }

	  .profile-dropdown .premium-bar {
		font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 80%;
		padding: 2px 5px;
		height: 35px;
		border-radius: 10px;
		color: rgb(251, 255, 196);
		background: rgb(40, 40, 40);
		/*background: linear-gradient(to left, rgb(111, 113, 76), rgb(185, 191, 128) 50%);*/
		font-size: 20px;
		text-wrap: nowrap;
		z-index: 6;
		box-shadow: 0px 0px 10px rgb(217, 222, 167);
	}

	.profile-dropdown .standard-bar {
		font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 80%;
		padding: 2px 5px;
		height: 35px;
		border-radius: 10px;
		color: rgb(255, 255, 255);
		background: linear-gradient(to left, rgba(151, 255, 243, 0.05), rgba(152, 152, 152, 0.492) 50%);
		font-size: 20px;
		text-wrap: nowrap;
		z-index: 6;
	}

	.profile-dropdown .loading {
		/* Your other styles for the loading class */
		animation: spin 1s infinite steps(12, end);
		height: 25px;
		width: 25px;
	  }
	  
	  @keyframes spin {
		to {
		  transform: rotate(360deg);
		}
	  }

	.toggle-slider {
	display: flex;
    justify-content: space-between;
    position: relative;
    width: 85px; /* Adjust width of the slider */
    height: 30px; /* Adjust height of the slider */
    background-color: #8d8d8d; /* Off state background color */
    border-radius: 15px; /* Adjust border-radius to get a rounded appearance */
    margin: 0 10px; /* Adjust margin as needed */
    cursor: pointer;
  }

  #idisverifiedToggle + label .toggle-slider,
  #hasPhotoToggle + label .toggle-slider { 
    width: 160px; /* Adjust width of the slider */
	margin-left: 0px;
  }
  
  /* Style the inner circle (slider) */
  input[type="checkbox"] + label .toggle-slider::after {
    content: '';
    position: absolute;
    top: 50%;
    width: 50%; /* Adjust width of the inner circle */
    height: 90%; /* Adjust height of the inner circle */
    border: 2px solid rgb(255, 255, 255);
	background: linear-gradient(to left, rgba(33, 45, 78, 0.3), rgba(98, 116, 157, 0.3) 100%); /* On state background color */
    border-radius: 15px;
    transition: transform 0.3s ease; /* Add a smooth transition effect */
    transform: translateX(0%) translateX(2px) translateY(-50%);
    box-sizing: border-box;
  }

  #distancepref + label .toggle-slider::after {
    background: linear-gradient(to left, rgb(33, 45, 78), rgb(98, 116, 157) 100%); /* On state background color */
  }
  
  /* Move the inner circle to the right when the checkbox is checked */
  input[type="checkbox"]:checked + label .toggle-slider::after {
    transform: translateX(100%) translateX(-2px) translateY(-50%);
	background: linear-gradient(to left, rgb(33, 45, 78), rgb(98, 116, 157) 100%); /* On state background color */
  }
  
  /* Style the "No" and "Yes" text */
  .toggle-text {
    font-size: 12px;
    color: #ffffff;
    width: 100%;
  }
  
  /* Position "No" text */
  .toggle-text:first-child {
	display: flex;
	align-items: center;
	text-align: center; /* Adjust left position */
    z-index: 1;
    justify-content: center;
	padding-left: 4px;
  }
  
  /* Position "Yes" text */
  .toggle-text:last-child {
	display: flex;
	align-items: center;
	text-align: center; /* Adjust left position */
    z-index: 1;
    justify-content: center;
	padding-right: 4px;
  }

  input[type="checkbox"]:checked + label .toggle-slider .toggle-text:last-child {
    color: #8ff8fe; /* Change color to yellow when checked */
}

#distancepref + label .toggle-text:last-child {
    color: #ffffff;
}

  .noradio input[type="checkbox"] {
    display: none;
  }
    